#include <bits/stdc++.h>
using namespace std;
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    
    int n;
    cin >> n;
    set <int> s;
    for(int i = 0, x; i < n; i ++)
        cin >> x, s.insert(x);
    n = (n + 1) / 2;
    if(n == (int)s.size()) {
        for(auto i : s)
            cout << i << ' ';
    } else {
        cout << -1;
    }
}